### Method

# Cogl Primitive foreach_attribute

#### Declaration [src]

    void
    cogl_primitive_foreach_attribute (
      CoglPrimitive* primitive,
      CoglPrimitiveAttributeCallback callback,
      void* user_data
    )

#### Description [src]

Iterates all the attributes of the given `CoglPrimitive`.

#### Parameters

`callback`

  Type: `CoglPrimitiveAttributeCallback`

  A `CoglPrimitiveAttributeCallback` to be called for each attribute.

`user_data`

  Type: `void*`

  Private data that will be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.